.form {
  width: 700px;
  margin: 10px auto;
  border: none;
  padding: 20px;
  border-radius: 3px;
}

div {
  display: flex;
  flex-flow: row nowrap;
  line-height: 2em;
  margin: 5px;
}

label {
  color: #333;
  min-width: 110px;
  font-size: 1em;
  line-height: 32px;
}

input,
select,
textarea {
  flex: 1;
  padding: 3px 5px;
  font-size: 1em;
  margin-left: 15px;
  border: 1px solid #ccc;
  border-radius: 3px;
}

input[type="checkbox"] {
  margin-top: 7px;
}

div div {
  margin-left: 16px;
}

div div label {
  display: block;
}

div div input {
  margin-right: 3px;
}

.buttons {
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  margin-top: 15px;
}

button {
  margin: 0 10px;
  padding: 4px 8px;
}

pre {
  border: 1px solid #ccc;
  background: rgba(0, 0, 0, 0.1);
  box-shadow: inset 1px 1px 3px rgba(0, 0, 0, 0.2);
  padding: 20px;
  line-height: 1em;
}

.labels {
  display: flex;
  flex-direction: column;
}

.labels label {
  width: 150px;
  display: flex;
  align-items: center;
}

.labels label input {
  margin-top: 2px;
  margin-left: 0px;
  flex: initial;
}

.checkboxBlock,
.radioBlock {
  display: block;
}

.invalid {
  border-color: red;
}
